%define shortname looks

Name:           jgoodies-looks
Version:        2.4.2
Release:        1%{?dist}
Summary:        Free high-fidelity Windows and multi-platform appearance

Group:          Development/Libraries
License:        BSD
URL:            http://www.jgoodies.com/freeware/looks/
Source0:        http://www.jgoodies.com/download/libraries/%{shortname}/%{name}-%(tr "." "_" <<<%{version}).zip

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jgoodies-common
BuildRequires:  jpackage-utils
Requires:       java
Requires:       jgoodies-common
Requires:       jpackage-utils
BuildArch:      noarch

%description
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

# Delete prebuild JARs
find -name "*.jar" -exec rm {} \;

# Fix wrong end-of-line encoding
for file in LICENSE.txt RELEASE-NOTES.txt; do
  sed -i.orig "s/\r//" $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done


%build
ant \
  -Dlib.common.jar=$(build-classpath jgoodies-common) \
  -Ddescriptors.dir=. \
  jar javadoc


%install
install -Dpm 0644 build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/
cp -a build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/


%files
%doc LICENSE.txt README.html RELEASE-NOTES.txt
%{_javadir}/*.jar


%files javadoc
%{_javadocdir}/%{name}/


%changelog
* Thu Dec 22 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.4.2-1
- First import for EPEL 6
